GET /v1/configs/{configId}/environments/{environmentId}/values

configcat.com

Summary: Get values
Operation ID: get-setting-values
Auth: unknown
Description

This endpoint returns the value of a specified Config's Feature Flags or Settings identified by the `configId` parameter in a specified Environment identified by the `environmentId` parameter. The most important attributes in the response are the `value`, `rolloutRules` and `percentageRules`. The `value` represents what the clients will get when the evaluation requests of our SDKs are not matching to any of the defined Targeting or Percentage Rules, or when there are no additional rules to evaluate. The `rolloutRules` and `percentageRules` attributes are representing the current Targeting and Percentage Rules configuration of the actual Feature Flag or Setting in an **ordered** collection, which means the order of the returned rules is matching to the evaluation order. You can read more about these rules [here](https://configcat.com/docs/advanced/targeting/).

Parameters (2)

configId (string, path, required)

The identifier of the Config.

environmentId (string, path, required)

The identifier of the Environment.

No probe data for this endpoint yet.